# Release Notes Archive



<Callout>
  This is a continuation of older release notes from the [main release notes page](/other-resources/release-notes).
</Callout>

September 11, 2024 [#september-11-2024]

* On <ApiLink name="PolicyTransactionResponse" />, the property `acceptedTime` has been added, the properties `aggregatedTransactions` and `changeInstructions` have now marked as optional.
* On <ApiLink name="QuoteResponse" />, the deprecated property `boundTime` has been removed in favor of the new property `acceptedTime`.
* On <ApiLink name="TransactionPriceResponse" />, the property `aggregatedTransactions` is now marked as optional.

September 4, 2024 [#september-4-2024]

Optional Properties [#optional-properties]

The following properties are now marked as optional:

* <ApiLink name="AccountResponse" />: `autoRenewalPlanName`,
  `delinquencyPlanName`, `excessCreditPlanName`, `shortfallTolerancePlanName`,
  `invoiceDocument`, `preferences`, `region`
* <ApiLink name="QuoteCreateRequest" />: `durationBasis`, `billingLevel`,
  `billingTrigger`, `region`
* <ApiLink name="ElementRef" />: `coverageTerms`, `data`
* <ApiLink name="ElementResponse" />: `coverageTerms`, `data`
* <ApiLink name="TenantResponse" />: `description`
* <ApiLink name="QuoteResponse" />: `static`
* <ApiLink name="AccountCreateRequest" />: `region`
* <ApiLink name="AccountUpdateReplaceDataRequest" />: `region`

Billing Triggers [#billing-triggers]

The "Billing Trigger" setting is being removed, and the following entities now have the property `billingTrigger` deprecated.

* <ApiLink name="PolicyResponse" />
* <ApiLink name="PolicyTransactionResponse" />
* <ApiLink name="QuoteCreateRequest" />
* <ApiLink name="QuoteUpdateRequest" />
* <ApiLink name="QuoteResponse" />
* <ApiLink name="BillingPlanRef" />

In addition:

* On <ApiLink name="ConfigurationRef" /> and <ApiLink name="ProductRef" />, `defaultBillingTrigger` is deprecated.
* The endpoint `updatePolicyBillingTrigger` is deprecated.
* The entity `BillingTriggerUpdateRequest` is deprecated.

Other Change [#other-change]

* On <ApiLink name="DocumentSummary" />, the property `documentInstanceState` has been added, and the equivalent property `state` has been deprecated.

August 28, 2024 [#august-28-2024]

* The following state properties have been changed, from `state`:
  * <ApiLink name="AccountResponse" />: `accountState`
  * <ApiLink name="QuickQuoteResponse" />: `quickQuoteState`
  * <ApiLink name="QuickQuotePriceResponse" />: `quickQuoteState`
  * <ApiLink name="InvoiceResponse" />: `invoiceState`
  * <ApiLink name="DocumentInstanceResponse" />: `documentInstanceState`

* The endpoints <ApiLink name="previewInvoicesForQuote" /> and <ApiLink name="previewInvoicesForTransaction" /> have had the property `includeZeroAmountInvoices` added, and `excludeOtherPolicies` has been removed.

* The endpoint <ApiLink name="fetchTransactionSegments" /> has been deprecated in favor of <ApiLink name="fetchTransactionSegment" /> because transactions can have a maximum of a single segment.

* The entity <ApiLink name="DocumentInstanceResponse" /> has new properties `category` and `external`.

August 21, 2024 [#august-21-2024]

Diaries [#diaries]

[Diaries](/api/aux-data/diary) are a new feature that enables a running narrative to be attached to individual entities. The following endpoints have been added:

* <ApiLink name="createDiary" />
* <ApiLink name="fetchLatestDiaryEntriesByReference" />
* <ApiLink name="fetchLatestDiaryEntryByLocator" />
* <ApiLink name="fetchAllDiaryEntriesByLocator" />
* <ApiLink name="updateDiary" />
* <ApiLink name="discardDiary" />

The following entities are used in the above endpoints:

* <ApiLink name="DiaryEntryCreateRequest" />
* <ApiLink name="DiaryEntryResponse" />
* <ApiLink name="DiaryEntryUpdateRequest" />

For now, diaries are enabled for quotes, policies, and policy transactions. Other entities will be enabled in the future.

See the [Diaries Feature Guide](/features/work-management/diaries) for more information.

Regions [#regions]

Regions are now supported. The new `region` property has been added to:

* <ApiLink name="AccountCreateRequest" />
* <ApiLink name="AccountResponse" />
* <ApiLink name="PolicyResponse" />
* <ApiLink name="PolicySnapshotResponse" />
* <ApiLink name="QuoteResponse" />
* <ApiLink name="AccountUpdateReplaceDataRequest" />

Also, `defaultRegion` has been added to <ApiLink name="ConfigurationRef" />.

Changes to Paged List Fetch Semantics [#changes-to-paged-list-fetch-semantics]

When fetching entities with any of the following endpoints, a new query parameter is available called `extended`. Setting `extended` to true means that the return object will not be a bare array of entities, but rather a List Contents object that includes an indicator that the list is complete. The following endpoints have been changed:

* <ApiLink name="fetchMultipleAccounts" /> returns
  <ApiLink name="AccountListResponse" />.
* <ApiLink name="fetchQuotesForAccount" />,
  <ApiLink name="fetchAllQuotesInGroup" />, and
  <ApiLink name="fetchQuotesInATenant" /> return
  <ApiLink name="QuoteListResponse" />.
* <ApiLink name="fetchMultipleQuickQuotes" /> and `fetchQuickQuotesForAGroup`
  return <ApiLink name="QuickQuoteListResponse" />.
* <ApiLink name="fetchPoliciesForAccount" /> returns
  <ApiLink name="PolicyListResponse" />.
* <ApiLink name="fetchPolicySnapshotsForAnAccount" /> returns
  <ApiLink name="PolicySnapshotListResponse" />.
* <ApiLink name="fetchIssuedTransactions" /> returns
  <ApiLink name="PolicyTransactionListResponse" />.
* <ApiLink name="fetchMultipleTerms" /> returns
  <ApiLink name="TermListResponse" />.

<Callout>
  Later, the `extended` property will be removed and the default behavior will be as if it were `true`.
</Callout>

Auto Transaction Rebasing [#auto-transaction-rebasing]

Before, transactions were always invalidated when a transaction on another branch became issued. Now, these transactions are automatically rebased on to the new, latest issued transaction. This behavior can be bypassed by setting the `autoRebase` query parameter to `false` when using the <ApiLink name="issueTransaction" /> endpoint.

Other Changes [#other-changes]

The following entity properties have been marked as optional:

* <ApiLink name="AuthTokenResponse" />: `permissions` and `tenants`
* <ApiLink name="ElementResponse" />: `coveragesTerms` and `elements`
* <ApiLink name="PolicyResponse" />: `branchHeadTransactionLocators`

July 31, 2024 [#july-31-2024]

Quick Quotes [#quick-quotes]

[Quick Quotes](/api/quick-quotes) are a lightweight mechanism for quotation without full underwriting support or document generation. Element extension data for quick quotes can be a subset of that used on a full quote.

The following endpoints have been added:

* <ApiLink name="fetchQuickQuote" />
* <ApiLink name="fetchMultipleQuickQuotes" />
* <ApiLink name="createQuickQuote" />
* <ApiLink name="validateQuickQuote" />
* <ApiLink name="updateQuickQuote" />
* <ApiLink name="createQuoteFromQuickQuote" />
* <ApiLink name="copyQuickQuote" />
* <ApiLink name="resetQuickQuote" />
* <ApiLink name="discardQuickQuote" />
* <ApiLink name="priceAQuickQuote" />
* <ApiLink name="fetchPricingForQuickQuote" />
* <ApiLink name="addElementsToQuickQuote" />
* <ApiLink name="deleteElementsFromQuickQuote" />
* <ApiLink name="fetchDependencyMapForQuickQuote" />
* <ApiLink name="evaluateConstraintsForQuickQuote" />
* `assignQuickQuoteToGroup`
* `fetchQuickQuotesForAGroup`

In support of the above endpoints, the following new entities are used:

* <ApiLink name="QuickQuoteResponse" />
* <ApiLink name="QuickQuotePriceResponse" />
* <ApiLink name="QuickQuoteCreateRequest" />
* <ApiLink name="QuickQuoteUpdateRequest" />

Account Level Billing [#account-level-billing]

Account level billing is activated by setting the `billingLevel` of the account, policy, or quote to `account`. If a policy or quote uses `inherit` for the `billingLevel`, it will defer to the account for the setting.

The following endpoints have been added to modify the billing level:

* <ApiLink name="updateBillingLevelForAnAccount" />
* <ApiLink name="updateBillingLevelForAPolicy" />
* <ApiLink name="updateBillingLevelForAQuote" />

Each of these endpoints takes a <ApiLink name="UpdateBillingLevelRequest" /> entity.

In addition, the following entities have added a `billingLevel` property:

* <ApiLink name="AccountResponse" />
* <ApiLink name="AccountCreateRequest" />
* <ApiLink name="AccountUpdateRequest" />
* <ApiLink name="AccountUpdateReplaceDataRequest" />
* <ApiLink name="PolicyResponse" />
* <ApiLink name="QuoteResponse" />
* <ApiLink name="QuoteCreateRequest" />
* <ApiLink name="QuoteUpdateRequest" />

Policy Transaction Branching [#policy-transaction-branching]

Policy transaction branching is done by setting the `baseLocator` of the transaction to a transaction other than the most recently created transaction. The following endpoints that create policy transactions now have a `baseLocator` parameter:

* <ApiLink name="createPolicyTransaction" />
* <ApiLink name="changePolicy" />
* <ApiLink name="renewPolicy" />
* <ApiLink name="reinstatePolicy" />
* <ApiLink name="cancelPolicy" />

And the following entity has a `baseLocator` property:

* <ApiLink name="PolicyTransactionReversalRequest" />

Configuration Changes [#configuration-changes]

* Added the property `delinquencyLevel`, and removed properties `baseLapseOn` and `lapseConflictHandling` from <ApiLink name="DelinquencyPlanRef" />
* Added the property `defaultBackdatedInstallmentsBilling` to <ApiLink name="ConfigurationRef" />.
* Deprecated the `billingPlans` and `defaultBillingPlan` properties on <ApiLink name="ConfigurationRef" />, and `defaultBillingPlan` on <ApiLink name="ProductRef" />. These will be removed in an upcoming release.

Other Changes [#other-changes-1]

* Endpoints which return a streaming response now show the type of object in the stream. So <ApiLink name="StreamingResponseBody" /> now is shown as `StreamingResponseBody&lt;string>`, `StreamingResponseBody&lt;ZipFile>`, etc.
* The <ApiLink name="InvoiceItemResponse" />'s `installmentItemsLocators` property has been renamed to `installmentItemLocators`, and has added properties `invoiceLocator` and `transactionLocator`. Also, the `reversalOfLocator` property has been removed.
* Added a `timezone` property to <ApiLink name="InvoiceResponse" />
* Added the `preemptingLapseTransactionLocator` property to <ApiLink name="DelinquencyReference" />.
* Added properties `realizedAt`, `reversalReason`, and `reversedAt` to <ApiLink name="CreditResponse" />.
* Added the boolean property `reversalLattice` to <ApiLink name="InstallmentLatticeResponse" />, and made the `settingsLocator` property optional.
* On <ApiLink name="QuoteResponse" /> and <ApiLink name="QuoteGroupAssignmentRequest" />, renamed the `quoteGroupLocator` property to `groupLocator`.
* On <ApiLink name="PolicyResponse" />, added the properties `latestTermLocator` and `billingLevel`.
* On <ApiLink name="AccountResponse" />, <ApiLink name="AccountCreateRequest" />, <ApiLink name="AccountUpdateRequest" />, and <ApiLink name="AccountUpdateReplaceDataRequest" />, added the properties `billingLevel` and `invoiceDocument`.
* Added the <ApiLink name="fetchInvoicesForAccount" /> endpoint.

July 24, 2024 [#july-24-2024]

*Internal changes only for this release.*

July 1, 2024 [#july-1-2024]

Stateless Operations [#stateless-operations]

Stateless operations are a way to determine the validatability, pricing, and underwriting for a quote or policy transaction without changing its state. The following endpoints now have a `stateless` parameter added to generate the results of the call without a state change:

* <ApiLink name="validateTransaction" />
* <ApiLink name="validateQuote" />

Other endpoints will also be updated with a `stateless` parameter in upcoming releases.

Invoices and Installments [#invoices-and-installments]

* On <ApiLink name="InvoiceItemResponse" />, added new properties `invoiceLocator` and `transactionLocator`, and changed the `installmentItemsLocators` property to be called `installmentItemLocators`, and made the `elementStaticLocator` property required.
* On <ApiLink name="InvoiceResponse" />, made the `startTime` and `endtime` properties required, and changed the type of the `currency` property to `string`.
* On <ApiLink name="InstallmentItem" />, removed the property `reversalOfLocator`.
* On <ApiLink name="InstallmentLatticeResponse" />, added the property `reversalLattice`, and made the `settingsLocator` property required.

Other Changes [#other-changes-2]

* Added a new <ApiLink name="fetchInvoiceDetails" /> endpoint for retrieving granular information about the contents of invoices. The response includes the new entities <ApiLink name="InvoiceDetailsResponse" />, `PolicyInvoiceSummary`, `InvoiceItemSummary`, and `InstallmentItemSummary`.
* Added the <ApiLink name="previewInvoicesForQuote" /> endpoint, with <ApiLink name="InvoicePreviewResponse" /> and <ApiLink name="InvoiceItemPreview" /> entities.
* Added the <ApiLink name="fetchPreferencesForATransaction" /> endpoint.
* Added the property `preemptingLapseTransactionLocator` to <ApiLink name="DelinquencyReference" />, which indicates that some other delinquency's lapse transaction has taken precedence over this delinquency's lapse transaction.
* Added the property `delinquencylevel` to <ApiLink name="DelinquencySettings" />
* On <ApiLink name="DelinquencyPlanRef" />, added the property `delinquencyLevel` and removed the properties `baseLapseOn` and `lapseConflictHandling`.
* On <ApiLink name="PolicyResponse" />, added the property `latestTermLocator` and made the `startTime` and `endTime` properties required.
* On <ApiLink name="QuoteGroupAssignmentRequest" />, changed the name of the `quoteGroupLocator` property to `groupLocator`.

June 10, 2024 [#june-10-2024]

Policies [#policies]

* Added the properties `startTime` and `endTime` to <ApiLink name="PolicyResponse" />. These indicate the start and end of the policy based on issued transactions only.

Invoices and Payments [#invoices-and-payments]

* Added endpoint <ApiLink name="fetchInvoicesTargetedByAPayment" />
* Added endpoint <ApiLink name="fetchInvoicesTargetedByACreditDistribution" />
* Added the property `unsettledTime` to <ApiLink name="InvoiceResponse" />, to indicate when a settled invoice became unsettled due to a payment reversal.
* The property `elementStaticLocator` has been added to the <ApiLink name="InvoiceItemResponse" /> entity.

Installments [#installments]

* The `reversalOfTransactionLocator`, `tenantLocator`, `invalidated`, `originationType`, and `refused` properties have been removed from <ApiLink name="Installment" />
* The `reversedByInstallmentItemLocator` and `tenantLocator` properties have been removed from <ApiLink name="InstallmentItem" />
* The `tenantLocator` property has been removed from <ApiLink name="InstallmentLatticeResponse" />

Stateless Operations [#stateless-operations-1]

These endpoints now have a boolean `stateless` property to allow calculation of pricing or underwriting data without changing the state of the associated quote or policy:

* <ApiLink name="priceQuote" />
* <ApiLink name="underwriteQuote" />
* <ApiLink name="priceTransaction" />
* <ApiLink name="underwriteTransaction" />

Underwriting [#underwriting]

The responses for quote and policy transaction underwriting have been changed:

* <ApiLink name="underwriteQuote" /> now returns a
  <ApiLink name="QuoteUnderwritingResponse" />
* <ApiLink name="underwriteTransaction" /> now returns a
  <ApiLink name="TransactionUnderwritingResponse" />

Accounting [#accounting]

* The "Cash" T-Accounts that represent cash inflows and outflows from the system are now managed at the customer account level.
* These are accessed through the new `fetchALedgerCashAccount` and <ApiLink name="fetchMultipleLedgerCashAccounts" /> endpoints.
* The tenant-wide cash account has been removed and so the `GET /billing/{tenantLocator}/accounting/ledgerAccounts/cash` endpoint has been removed as well.

Delinquency [#delinquency]

* The properties `graceEndAt` and `lapseTransactionEffectiveDate` properties have been added to <ApiLink name="DelinquencyResponse" />
* The `references` property is now optional on <ApiLink name="DelinquencyResponse" />
* On <ApiLink name="DelinquencyPlanRef" /> the properties `advanceLapseTo` and `lapseTransactionType` are now optional.
* The properties `executedAt` and `reversedAt` have been added to <ApiLink name="CreditDistributionResponse" /> and <ApiLink name="PaymentResponse" />

Aux Data [#aux-data]

* On <ApiLink name="AuxDataResponse" /> the property `auxDataSettingsName` is now optional.
* On <ApiLink name="AuxDataKey" /> the `auxDataSettingsName` property is now optional.

Data Extension Constraints [#data-extension-constraints]

These [Data Extension Constraints](/configuration/data-extensions/data-extension-constraints) endpoints are now accessed with POST API calls:

* <ApiLink name="evaluateConstraintsForQuote" />
* <ApiLink name="evaluateConstraintsForPolicyTransaction" />

Other Changes [#other-changes-3]

* Added the parameter `includeReversed` to the <ApiLink name="fetchPaymentsForAnInvoice" />, <ApiLink name="fetchCreditsForAnInvoice" />, and <ApiLink name="fetchCreditDistributionsForAnInvoice" /> endpoints to include those response items that have been previously reversed.
* Added the property `preferences` to <ApiLink name="TransactionSnapshotResponse" />.
* Added the property `searchSummary` to <ApiLink name="SearchResultResponse" />.
* Removed the property `transactionLocator` from <ApiLink name="SegmentResponse" />.
* Removed the properties `rootLocator` and `tenantLocator` from <ApiLink name="ElementResponse" />.
* Added the property `updatedAt` to <ApiLink name="TenantResponse" />.
* On <ApiLink name="ProductRef" /> the properties `defaultAutoRenewalPlan`, `defaultDelinquencyPlan`, and `defaultShortfallTolerancePlan` are now optional.

May 23, 2024 [#may-23-2024]

Users [#users]

* Added the <ApiLink name="fetchMultipleBasicUsers" /> endpoint to return streamlined user responses, which allows for a larger page size. This endpoint returns an array of <ApiLink name="BasicUserResponse" /> entities.

Excess Credits [#excess-credits]

The *Excess Credits* feature is forthcoming to handle excess customer credits held in a credit balance.

* Added the `excessCreditPlans` and `defaultExcessCreditPlan` properties to <ApiLink name="ConfigurationRef" />, and added with the <ApiLink name="ExcessCreditPlanRef" /> entity.
* Added the `excessCreditPlanName` property to <ApiLink name="AccountCreateRequest" />, <ApiLink name="AccountResponse" />, <ApiLink name="AccountUpdateRequest" />, and <ApiLink name="AccountUpdateReplaceDataRequest" />.

Open API Definitions [#open-api-definitions]

A top level property in the [Open API definition file](/openapi/socotra-openapi.json) was erroneously called `externalDocuments` rather than its proper name `externalDocs`. This has been corrected. (This property is not currently used as so contains an empty array.)

Other Changes [#other-changes-4]

* Clarified that the `references` property of <ApiLink name="DelinquencyResponse" /> will only be populated when fetching a single delinquency entity. Accordingly marked `references` as optional.
* Renamed the `listByTransactionLocator` endpoint to <ApiLink name="fetchInstallmentsForPolicyTransaction" />
* The <ApiLink name="DocumentInstanceResponse" /> entity has the following properties marked as optional: `policyLocator`, `referenceDocumentLocator`, `segmentLocator`, `termLocator`, `transactionLocator`, `name`, `staticName`, `documentFormat`, `processingErrors`, `readyAt`, and `createdBy`.

May 20, 2024 [#may-20-2024]

Event Stream Data Definition [#event-stream-data-definition]

* Information about the data contained within each payload is now on the [Event Definitions Page](/configuration/general-topics/event-definitions).

May 17, 2024 [#may-17-2024]

Deprecations [#deprecations]

The following entity properties are now `deprecated` and will be removed in a future release:

* <ApiLink name="ConfigurationRef" />: `defaultAnchorMode`,
  `defaultBillingLevel`, `defaultDueLeadDays`, `defaultLapseType`, `regions`
* <ApiLink name="ChargeRef" />: `displayName`
* <ApiLink name="ElementRef" />: `pluralType`
* <ApiLink name="ProductRef" />: `pluralType`
* <ApiLink name="ParamsChangeInstructionCreateRequest" />: `inheritSettings`,
  `billingModeChange`
* <ApiLink name="ParamsChangeInstructionResponse" />: `inheritSettings`,
  `billingModeChange`

Static Data [#static-data]

* Added the parameter `includeStaticData` to the <ApiLink name="fetchQuotesForAccount" /> and <ApiLink name="fetchPoliciesForAccount" /> endpoints.

Other Changes [#other-changes-5]

* On <ApiLink name="ParamsChangeInstructionCreateRequest" /> and <ApiLink name="ParamsChangeInstructionResponse" />:
  * The `triggerBillingChange` property has been added, to replace `billingModeChange`
  * The `preferences` and `newPolicyEndTime` properties are now optional.

May 15, 2024 [#may-15-2024]

Renewal Management and Auto-Renewal [#renewal-management-and-auto-renewal]

* There is a new [Renewal Management API](/api/policy-management/renewal-management) which supports the upcoming renewal management feature, including automatic renewal functionality.
* A feature guide for renewal management is forthcoming.

Resources [#resources]

* Added the `byStaticName` and `date` parameter to the <ApiLink name="fetchResource" /> and <ApiLink name="fetchSecret" /> endpoints for finer control of resource retrieval.
* The <ApiLink name="fetchDocumentTemplate" /> endpoint now returns a streaming response rather than a `string`.

Policy Snapshots [#policy-snapshots]

* Added the <ApiLink name="fetchPolicySnapshotsForAnAccount" /> endpoint.
* Added document information with the `documentSummary` property on <ApiLink name="SubsegmentSummary" />

Credits [#credits]

* Added the <ApiLink name="fetchCredits" /> endpoint to fetch credits across an entire tenant.

"List" Endpoints [#list-endpoints]

Changed the path to the following endpoints that return multiple endpoints for greater consistency:

* <ApiLink name="fetchPaymentsForAnInvoice" />: `/billing/{tenantLocator}
  /invoices/{locator}/payments/list`
* <ApiLink name="fetchCreditsForAnInvoice" />: `/billing/{tenantLocator}
  /invoices/{locator}/credits/list`
* <ApiLink name="fetchCreditDistributionsForAnInvoice" /> `/billing/ {tenantLocator}/invoices/{locator}/creditDistributions/list`

Other Changes [#other-changes-6]

* <ApiLink name="ElementResponse" /> now has an `originalEffectiveTime` property
  which shows when that element was first added to the policy.
* On the <ApiLink name="fetchTermSummaryByTermNumber" /> endpoint, changed the `number` parameter to `termNumber`.
* Added a `description` parameter to the <ApiLink name="createTenant" /> endpoint.
* On the <ApiLink name="fetchInvoicesForPolicy" /> and <ApiLink name="fetchInvoicesForQuote" /> endpoints, added the `includeZeroAmountInvoices` parameter for filtering. The default is `false`.
* On <ApiLink name="UnderwritingFlagResponse" />, removed properties `createdBy`, `createdTime`, `clearedBy` `clearedTime`.
* On <ApiLink name="TransactionPriceResponse" />, changed the `pricingItems` property to now be `charges`.
* On <ApiLink name="InstallmentSettings" />, the `maxInstallmentsPerTerm` property is now optional.

May 1, 2024 [#may-1-2024]

Charges [#charges]

On the week of May 6, 2024, there will be a change that requires configuration for which charges can be attached to elements. Each element definition must declare the charges that apply. <ApiLink name="ElementRef" /> and <ApiLink name="ProductRef" /> now have a `charges` property, which is an array of the charge types.

<Callout type="warn">
  All the applicable charges *must* be returned by the rating plugin, and *only* those charges can be applied; otherwise, the rating call will fail and the policy transaction or quote will fail to reach the `priced` state.
</Callout>

Documents [#documents]

* Documents may now be managed and retrieved by the entity they are attached to with these endpoints:
  * <ApiLink name="fetchDocumentsForSegment" />

  * <ApiLink name="fetchDocumentsForTransaction" />

  * <ApiLink name="fetchDocumentsForQuote" /> (previously named
    `fetchDocumentsByQuote`)

  * <ApiLink name="fetchDocumentsJobForSegment" />

  * <ApiLink name="fetchDocumentsJobForTransaction" />

  * <ApiLink name="fetchDocumentsJobForQuote" /> (previously named
    `fetchQuoteDocumentsJob`)

  * <ApiLink name="fetchMultipleDocumentsJobsForSegment" />

  * <ApiLink name="fetchMultipleDocumentsJobsForTransaction" />

  * <ApiLink name="fetchMultipleDocumentsJobsForQuote" /> (previously named
    `getQuoteDocumentsJobs`)

  * <ApiLink name="triggerTimedOutDocumentsJobForSegment" />

  * <ApiLink name="triggerTimedOutDocumentsJobForTransaction" />

  * <ApiLink name="triggerTimedOutDocumentsJobForQuote" /> (previously named
    `triggerTimedOutQuoteJob`)

* The <ApiLink name="DocumentInstanceResponse" /> property has a new `policyLocator` property.

* The `fetchSource` endpoint has been renamed to <ApiLink name="fetchSourceForDocument" />

<Callout>
  Policy documents are attatched to either policy segments or transactions, depending on [scope rules](/configuration/resources/documents#document_scope)
</Callout>

April 28, 2024 [#april-28-2024]

Feature Guides [#feature-guides]

New feature guides have been added for these topics:

* [InstallmentSettings](/features/billing/installment-settings)
* [Invoicing](/features/billing/invoicing)
* [Roles and Permissions](/features/security/roles-and-permissions)
* [Permissions List](/features/security/permissions-listing)

Along with these is an entirely set of configuration guides for plugins, including [rating](/configuration/plugins/rating), [validation](/configuration/plugins/validation), [underwriting](/configuration/plugins/underwriting), [precommit](/configuration/plugins/precommit), and [more](/configuration/plugins/overview).

Search [#search]

Search now has provisions for opting entity properties into or out of the search index:

* The property `defaultSearchable` has been added to <ApiLink name="ConfigurationRef" />, <ApiLink name="ProductRef" />, <ApiLink name="ElementRef" />, <ApiLink name="AccountRef" />, and <ApiLink name="DataTypeRef" />.
* The property `searchable` has been added to <ApiLink name="PropertyRef" />.

Password Policies [#password-policies]

Password policies now have editable settings:

* The <ApiLink name="fetchPasswordPolicy" /> endpoint can be used to find and update the individual settings. The payloads for these are <ApiLink name="PasswordPolicyResponse" /> and <ApiLink name="PasswordPolicyUpdateRequest" />, respectively.
* Settings include:
  * Minimum and maximum overall password length
  * The minimum number of uppercase letters, lowercase letters, numbers, and/or symbols
  * password expiration after a given number of days
  * Restrictions on reusing passwords before they are a certain number of days old

April 23, 2024 [#april-23-2024]

Payments [#payments]

* Added <ApiLink name="fetchPaymentsForAnInvoice" /> endpoint.

Write-Offs [#write-offs]

Added fetch endpoints:

* <ApiLink name="fetchWriteOff">
    Fetch a Write-Off
  </ApiLink>
* <ApiLink name="fetchMultipleWriteOffs">
    Fetch Multiple Write-Offs
  </ApiLink>

Other Changes [#other-changes-7]

* Added property `validationResult` to <ApiLink name="PolicyResponse" /> and <ApiLink name="AccountResponse" />
* Added configuration for `staticData` to <ApiLink name="ProductRef" />
* Deprecated endpoints <ApiLink name="fetchMultipleSnapshots" /> and <ApiLink name="fetchQuotesInATenant" />
* Added <ApiLink name="fetchPolicySegment" /> endpoint and deprecated <ApiLink name="fetchPolicySegmentEx" />

Feature Guides [#feature-guides-1]

Added new feature guides:

* [Accounting Example](/features/financials/accounting-example)
* [Accounting Primer](/features/financials/accounting-primer)
* [Credits From Policy Transactions](/features/billing/credits-from-policy-transactions)
* [Backloading Installments](/features/billing/backloading-installments)

April 17, 2024 [#april-17-2024]

Optional and Required Properties [#optional-and-required-properties]

The process for determining whether properties on entities were "required" (i.e. must be set on requests, or will always be set on responses) has moved from a manual to automated process. As a result of this some fields have changed from being indicated as required (with no suffix on their type name), or optional (with a `?` suffix on the type name.)

Write-Offs [#write-offs-1]

Added endpoints for write-off of invoices:

* <ApiLink name="writeOffInvoice" />
* <ApiLink name="reverseWriteOff" />

Term Summary [#term-summary]

Term Summaries are views of the term based on issued transactions, showing in-force coverage only. This essentially flattens the transactions that affect the term into a single series of segments, such that the segments cover the entire term without overlaps or time periods without segments. This is useful to understand the state of the term without constructing it from the transaction stack.

The <ApiLink name="fetchTermSummaryByTermLocator" /> and <ApiLink name="fetchTermSummaryByTermNumber" /> endpoints fetch the <ApiLink name="TermSummary">overall term summary</ApiLink>, and contains summary objects for <ApiLink name="SubsegmentSummary">segments</ApiLink> and <ApiLink name="ElementSummary">elements</ApiLink>. Extension data and charge information is included in the element summary.

Other Changes [#other-changes-8]

The `roundingMode` property on <ApiLink name="PropertyRef" /> has changed its enumeration values to use camel case: `ceiling`, `down`, `floor`, `halfDown`, `halfEven`, `halfUp-up`

April 12, 2024 [#april-12-2024]

Search [#search-1]

* Added the <ApiLink name="fetchAdditionalSearchResultsByToken" /> endpoint
* Added `offset` and `count` parameters to <ApiLink name="fetchSearchResults" /> endpoint
* Added properties `offset`, `count`, and `searchToken` to <ApiLink name="SearchServiceResponse" />, and removed `page`
* Renamed the `locator` property on <ApiLink name="SearchResultResponse" /> to `searchEntityLocator`

Invoicing [#invoicing]

* Added property `installmentsItemsLocator` to <ApiLink name="InvoiceResponse" />, and removed `invoiceLocator` and `installmentItems`
* Added properties `originationType`, and `refused`, and `invalidated` to <ApiLink name="Installment" />
* Added property `autoRenewalLocator` to <ApiLink name="TermResponse" />

Other Changes [#other-changes-9]

* Added a [Reinstatements Feature Guide](/features/policy-management/reinstatements)
* Added the <ApiLink name="fetchMultipleSnapshots" /> endpoint
* Renamed the `TransactionSnapshot` entity to <ApiLink name="TransactionSnapshotResponse" />
* Added parameter `accountLocator` to <ApiLink name="fetchMultiplePayments" />, <ApiLink name="fetchMultipleDisbursements" /> and <ApiLink name="fetchMultipleCreditDistributions" /> endpoints
* Added property `preferences` to <ApiLink name="AccountCreateRequest" />, <ApiLink name="AccountUpdateRequest" />, <ApiLink name="AccountUpdateReplaceDataRequest" />, and <ApiLink name="AccountResponse" />

April 8, 2024 [#april-8-2024]

Extension Data Constraints [#extension-data-constraints]

* Added a new [Extension Data Constraints Feature Guide](/configuration/data-extensions/data-extension-constraints) feature guide for understanding configuration and use of the constraints feature in building user interfaces.

Shortfall Management [#shortfall-management]

Added new endpoints supporting the ability to write-off shortfalls in payments below a configured threshold:

* <ApiLink name="fetchShortfallCredit" />
* <ApiLink name="fetchMultipleShortfallCredits" />

These endpoints return <ApiLink name="ShortfallCreditResponse" /> object(s).

Also, added the property `shortfallCreditLocators` to <ApiLink name="CreditDistributionResponse" />

Quote Groups [#quote-groups]

Added endpoints supporting Quote Groups:

* <ApiLink name="assignQuoteGroup" />
* <ApiLink name="fetchAllQuotesInGroup" />

Other changes:

* Added the ability to assign a quote to a different group when copying, using a <ApiLink name="QuoteGroupAssignmentRequest" />
* Added the property `quoteGroupLocator` to <ApiLink name="QuoteResponse" />

Term Fetch [#term-fetch]

Added an endpoint to fetch all terms in a policy:

* <ApiLink name="fetchMultipleTerms" />

Installments [#installments-1]

* Added the `basedOnLocator` and `effectiveTime` properties to <ApiLink name="InstallmentLatticeResponse" />
* Added the property `normalizedWeight` to <ApiLink name="InstallmentLatticeFrame" />

Policy Transaction Changes [#policy-transaction-changes]

Added an endpoint to update the change instructions for a policy transaction based on explicit updates to the new policy segment. This endpoint returns a standard <ApiLink name="PolicyTransactionResponse" /> with the `changeInstructions` property updated:

* <ApiLink name="fetchPolicyTransactionWithUpdatedChanges" />

Other Changes [#other-changes-10]

* Removed the property `transactionLocator` from <ApiLink name="EventResponse" />
* Changed the type of the `outcome` property of <ApiLink name="GraceJobData" /> from an enumeration to a string
* Added the properties `reversalReason` and `shortfallCreditLocators` to <ApiLink name="CreditDistributionResponse" />

April 1, 2024 [#april-1-2024]

Search [#search-2]

See the new [Search Feature Guide](/features/search) for details about Search including about how to use the [Search API](/api/search).

Events [#events]

* Added endpoints <ApiLink name="fetchEvent" /> and <ApiLink name="fetchEventsForARequest" />
* Renamed endpoint `listEvents` to <ApiLink name="fetchMultipleEvents" />
* Added the optional field `transactionLocator` to <ApiLink name="EventResponse" />

Elements [#elements]

On <ApiLink name="ElementCreateRequest" />:

* Removed the properties `locator`, `tenantLocator`, and `rootLocator`.
* Marked the properties `staticLocator` and `elements` as optional.

On <ApiLink name="ElementResponse" />:

* Marked the properties `staticLocator`, `rootLocator`, and `elements` as optional.

Payments, Credit Distributions, and Disbursements [#payments-credit-distributions-and-disbursements]

* Added the <ApiLink name="reversePayment" /> endpoint.
* Added the `reversalReason` and `shortfallCreditLocators` properties to <ApiLink name="PaymentResponse" />
* Added the property `useDefaultFinancialInstrument` to <ApiLink name="PaymentUpdateRequest" /> and <ApiLink name="DisbursementUpdateRequest" />
* Added a request body of <ApiLink name="CreditDistributionReverseRequest" /> to <ApiLink name="reverseCreditDistribution" />

Installments [#installments-2]

* Added properties `reversalOfInstallmentLocator` and `reversedByInstallmentLocator` to <ApiLink name="Installment" />
* Added properties `reversalOfInstallmentItemLocator` and `reversedByInstallmentItemLocator` to <ApiLink name="InstallmentItem" />

Plans and Prferences [#plans-and-prferences]

* Added the property `shortfallTolerancePlanName` to <ApiLink name="AccountCreateRequest" />, <ApiLink name="AccountUpdateRequest" />, <ApiLink name="AccountUpdateReplaceDataRequest" />, and <ApiLink name="AccountResponse" />

Constraints [#constraints]

* Changed the <ApiLink name="ConditionValue" /> entity to use `staticLocator` instead of `elementLocator` for referencing elements.

Resource Groups [#resource-groups]

* Marked the `selectionStartTime` property as `Required`.

Accounting [#accounting-1]

* On <ApiLink name="AccountLineItem" /> Changed the properties `refLocator`, `refType` and `type` to `referenceLocator`, `refType`, and `accountingType`, respectively.
* On <ApiLink name="AccountingTransactionResponse" />, changed the properties `transactionLocator`, `transactionNote`, and `transactionTime` to `faTransactionLocator`, `faTransactionNote`, and `faTransactionTime`, respectively.
* On <ApiLink name="LedgerAccountLineItem" />, changed the properties `txnLocator`, `txnNote`, `entryType`, and `txnTime` to `faTransactionLocator`, `faTransactionNote`, `accountingType`, and `faTransactionTime` respectively.

March 27, 2024 [#march-27-2024]

Policy Service [#policy-service]

* Updated the operation of policy transactions (policy change, renewal, etc.) to allow manipulation of the actual segment to be created in addition to operating only on the change instructions that describe how to do the transformation. This will better support our upcoming *Constraint Tables* feature, and will allow for more flexibility when working with transactions. Details on usage will follow.

* Added endpoints:
  * <ApiLink name="initializeTransaction" />
  * <ApiLink name="addElementsToPolicyWithTransaction" />
  * <ApiLink name="updateElementsInPolicyWithTransaction" />
  * <ApiLink name="removeElementsFromPolicyWithTransaction" />
  * <ApiLink name="evaluateConstraintsForPolicyTransaction" />
  * <ApiLink name="fetchDependencyMapForPolicyTransaction" />

* Removed `productName` from <ApiLink name="QuoteUpdateRequest" />

* Added `initialized` to the allowed values for the <ApiLink name="PolicyTransactionResponse" /> `state` property.

* On <ApiLink name="ElementResponse" />, marked `staticLocator` and `rootLocator` as optional.

Billing Service [#billing-service]

* Added endpoints:
  * <ApiLink name="fetchMultipleCreditDistributions" />
  * `fetchLedgerCashAccount`

* On <ApiLink name="InstallmentSettings" /> and <ApiLink name="InstallmentPreferences" />, changed the property `explicitAnchorDate` to `anchorTime`

* On <ApiLink name="InstallmentPreferences" />, added properties `anchorTime`, `dayOfWeek`, and `weekOfMonth`

* On <ApiLink name="AccountingTransactionResponse" />, changed the properties `transactionLocator`, `transactionNote`, and `transactionTime` to `faTransactionLocator`, `faTransactionNote`, and `faTransactionTime`, respectively.

* On <ApiLink name="Installment" />, added the properties `reversalOfInstallmentLocator` and `reversedByTransactionLocator`

Platform [#platform]

* Changed <ApiLink name="fetchSearchResults" /> to use method `POST` instead of `GET`
* On <ApiLink name="ResourceGroupCreateRequest" />, the `selectionStartTime` property is now properly marked as `required`
* On <ApiLink name="ProductRef" />, added the property `defaultShortfallTolerancePlan`
* Changed the name of the `ResourceGroup` entity to <ApiLink name="ResourceGroupResponse" />

Configuration [#configuration]

* Added the entities `1PropertyTypeInfo`, <ApiLink name="ReversalTypeRef" />, and <ApiLink name="ShortfallTolerancePlanRef" />
* On <ApiLink name="ConfigurationRef" />, added the properties `defaultShortfallTolerancePlan`, `shortfallTolerancePlans` and `reversalTypes`

<Callout>
  The <ApiLink name="fetchDependencyMapForPolicyTransaction" /> endpoint is part of *Constraint Tables*, an upcoming feature. Details will be provided within the next few days.
</Callout>

March 20, 2024 [#march-20-2024]

New Endpoints [#new-endpoints]

* <ApiLink name="fetchCreditDistribution" />

Path Change [#path-change]

The <ApiLink name="fetchAllHoldsForAnAccount" /> endpoint has changed its path:

*from* `/billing/{tenantLocator}/holds/{accountLocator}/list`

*to* `/billing/{tenantLocator}/holds/accounts/{accountLocator}/list`

Constraint Tables [#constraint-tables]

<Callout>
  *Constraint Tables* are part of an upcoming feature to facilitate UI development and validation. This feature is not yet ready for use.
</Callout>

These endpoints have been added:

* <ApiLink name="fetchDependencyMapForQuote" />
* <ApiLink name="fetchConstraints" /> with
  <ApiLink name="ConstraintDependency" /> response
* <ApiLink name="createConstraintTable" />
* <ApiLink name="replaceConstraintTable" />
* <ApiLink name="zipConstraintTable" />

Other Changes [#other-changes-11]

* Added the properties `dayOfWeek`, `explicitAnchorDate`, and `weekOfMonth` to <ApiLink name="InstallmentSettings" />
* Added the property `constraintTables` to <ApiLink name="ConfigurationRef" />
* Added the properties `constraint` and `propertyScopes` to <ApiLink name="PropertyRef" />
* Added the property `graceStartedAt` to <ApiLink name="DelinquencyResponse" />, and renamed `state` to `delinquencyState`
* Renamed the property `state` on <ApiLink name="DisbursementResponse" /> to `disbursementState`
* Renamed the property `state` on <ApiLink name="PaymentResponse" /> to `paymentState`
* Removed the `POST /billing/{tenantLocator}/invoices/{locator}/delinquencies` endpoint

March 13, 2024 [#march-13-2024]

Credit Distributions [#credit-distributions]

Added these endpoints:

* <ApiLink name="createCreditDistribution" />
* <ApiLink name="updateCreditDistribution" />
* <ApiLink name="createOrReplaceCreditDistribution" />
* <ApiLink name="validateCreditDistribution" />
* <ApiLink name="executeCreditDistribution" />
* <ApiLink name="reverseCreditDistribution" />
* <ApiLink name="resetCreditDistribution" />
* <ApiLink name="discardCreditDistribution" />

Added these entities:

* <ApiLink name="CreditDistributionResponse" />
* <ApiLink name="CreditDistributionCreateRequest" />
* <ApiLink name="CreditDistributionUpdateRequest" />
* <ApiLink name="CreditDistributionPutRequest" />
* <ApiLink name="CreditDistributionReverseRequest" />

Billing Holds [#billing-holds]

Added these endpoints:

* <ApiLink name="fetchHold" />
* <ApiLink name="updateHold" />
* <ApiLink name="validateHold" />
* <ApiLink name="releaseHold" />
* <ApiLink name="activateHold" />
* <ApiLink name="resetHold" />

Added these entities:

* <ApiLink name="HoldCreateRequest" />
* <ApiLink name="HoldResponse" />
* <ApiLink name="HoldUpdateRequest" />

Billing Triggers [#billing-triggers-1]

Billing triggers (either on `accepted` or on `issued`) are moving from billing plans to quotes and policies themselves.

* Added the `updatePolicyBillingTrigger` endpoint which uses a `BillingTriggerUpdateRequest`.
* Added the `billingTrigger` property to <ApiLink name="QuoteCreateRequest" />, <ApiLink name="QuoteUpdateRequest" />, <ApiLink name="QuoteResponse" />, <ApiLink name="PolicyResponse" />, and <ApiLink name="PolicyTransactionResponse" />.
* Removed `billingTrigger` from `BillingSettings` and `BillingPreferences`.

Search [#search-3]

* Changed the `searchType` on <ApiLink name="SearchRequest" /> to be called `searchEntityType`.
* Removed the `fetchSearchConfiguration` endpoint along with the `EntitySearchConfiguration`, `SearchConfiguration`, and `SearchSummaryResponse` endpoints.
* Removed the `searchSummary` response from <ApiLink name="SearchResultResponse" />

Other Changes [#other-changes-12]

* Changed the type of the `removeSources` and `removeTargets` properties of <ApiLink name="PaymentUpdateRequest" /> and <ApiLink name="DisbursementUpdateRequest" /> from locator\[] to <ApiLink name="CreditItem">CreditItem\[]</ApiLink>.
* Removed the properties `webhookLocator` and `tenantLocator` from <ApiLink name="DivertedEventResponse" />.

March 6, 2024 [#march-6-2024]

Static Data [#static-data-1]

Added a feature to associate "static" data with Quotes and Policies. This is data that lives outside the existing extension data for these entities, and is managed outside of policy transactions. It currently doesn't require configuration but is otherwise structured like normal extension data.

New endpoints:

* <ApiLink name="addStaticDataForQuote" />
* <ApiLink name="updateStaticDataForQuote" />
* <ApiLink name="replaceAllStaticDataForQuote" />
* <ApiLink name="addStaticDataForPolicy" />
* <ApiLink name="updateStaticDataForPolicy" />
* <ApiLink name="replaceAllStaticDataForPolicy" />

Also added the property `static` to <ApiLink name="QuoteResponse" />, <ApiLink name="QuoteCreateRequest" />, <ApiLink name="PolicyResponse" />, and <ApiLink name="PolicySnapshotResponse" />

<Callout>
  The `POST` versions of the above endpoints differ from `PUT` in that they will fail if there is already static data on the entity at the time of the request.
</Callout>

Search [#search-4]

Integrated the new Socotra Insurance Suite search service.

New endpoints:

* <ApiLink name="fetchSearchResults" />
* `fetchSearchConfiguration`

New entities:

* <ApiLink name="SearchRequest" />
* <ApiLink name="SearchTermRequest" />
* <ApiLink name="SearchServiceResponse" />
* <ApiLink name="SearchResultResponse" />
* `SearchSummaryResponse`
* `SearchConfiguration`
* `EntitySearchConfiguration`

Webhook Failure Handling [#webhook-failure-handling]

Functionality to handle failed webhook events has been added.

New endpoints:

* <ApiLink name="fetchDivertedEvent" />
* <ApiLink name="fetchMultipleDivertedEvents" />
* <ApiLink name="resendDivertedEvent" />
* <ApiLink name="deleteDivertedEvent" />
* <ApiLink name="unsuspendWebhook" />

New entities:

* <ApiLink name="DivertedEventResponse" />
* <ApiLink name="RetryStrategyCreateRequest" />
* <ApiLink name="RetryStrategyResponse" />
* <ApiLink name="RetryStrategyUpdateRequest" />
* <ApiLink name="FailureHandlingCreateRequest" />
* <ApiLink name="FailureHandlingUpdateRequest" />
* <ApiLink name="FailureHandlingResponse" />

Other changes:

* Added the `failureHandling` property to <ApiLink name="CreateWebhookRequest" /> and <ApiLink name="WebhookResponse" />
* Added `removeFailureHandling` to <ApiLink name="UpdateWebhookRequest" />

Passwords [#passwords]

* Added endpoint <ApiLink name="resetUserPassword" />
* Added the optional `temporaryPassword` property to <ApiLink name="UserCreateRequest" />, <ApiLink name="UserUpdateRequest" />, and <ApiLink name="UserResponse" />

Other Changes [#other-changes-13]

* Added endpoint <ApiLink name="fetchAffectedTransactions" /> to find which transactions have been affected by a transaction, such as those that were reversed and/or reapplied as a result of an out-of-sequence transaction. Also added <ApiLink name="AffectedTransaction" /> for the response.
* Added the `transactionLocator` property to <ApiLink name="DelinquencyReference" />
* Changed the name of the `completedTime` property of <ApiLink name="InstallmentJobData" /> to `completedAt`
* Added the properties `referenceDocumentLocator`, `segmentLocator`, and `termLocator` to <ApiLink name="DocumentInstanceResponse" />

February 28, 2024 [#february-28-2024]

Disbursements [#disbursements]

Added a new Disbursements controller, including endpoints:

* <ApiLink name="createDisbursement" />

* <ApiLink name="updateDisbursement" />

* <ApiLink name="updateDisbursementReplaceData" />

* <ApiLink name="fetchDisbursement" />

* <ApiLink name="fetchMultipleDisbursements" />

* <ApiLink name="validateDisbursement" />

* <ApiLink name="approveDisbursement" />

* <ApiLink name="executeDisbursement" />

* <ApiLink name="rejectDisbursement" />

* <ApiLink name="resetDisbursement" />

* <ApiLink name="reverseDisbursement" />

* <ApiLink name="discardDisbursement" />

Added entities:

* <ApiLink name="DisbursementUpdateReplaceDataRequest" />
* <ApiLink name="DisbursementResponse" />
* <ApiLink name="DisbursementUpdateReplaceDataRequest" />

Added configuration for:

* <ApiLink name="DisbursementRef">
    Disbursements
  </ApiLink>
* <ApiLink name="PaymentRef">
    Payments
  </ApiLink>

Other Changes [#other-changes-14]

* Added a new endpoint to copy a quote: <ApiLink name="copyQuote" />
* Added a new endpoint to fetch the "local stack" of issued transactions for a policy: <ApiLink name="fetchIssuedTransactions" />
* The <ApiLink name="PaymentCreateRequest" /> and <ApiLink name="PaymentUpdateRequest" /> entities have added properties `type`, `currency`, `addTargets`, and `removeTargets`, but has removed `targetLocator`, `name`, and `targetType`.
* Added the <ApiLink name="fetchPolicySnapshot" /> endpoint along with <ApiLink name="PolicySnapshotResponse" /> and <ApiLink name="TransactionSnapshotResponse" /> entities.
* Added the `issuedTime` peroperty to <ApiLink name="PolicyTransactionResponse" />
* Added the `tag` property to <ApiLink name="PropertyRef">extension data properties</ApiLink> in configuration.
* Changed the `CreditResponse` entity to <ApiLink name="PaymentResponse" />.
* Removed the Parameters `date`, `byStaticName`, and `key` from the <ApiLink name="fetchLookupTableInZipFormat" /> endpoint.
* Added `currency` properties to the entities <ApiLink name="PaymentCreateRequest" />, <ApiLink name="PaymentUpdateRequest" />, <ApiLink name="LedgerAccountResponse" />, and <ApiLink name="AccountingTransactionResponse" />.
* <ApiLink name="Installment" /> now has a `reversalOfTransactionLocator`
  property, but `installmentState` and `amount` have been removed.

February 23, 2024 [#february-23-2024]

* Marked the `baseLapseOn` and `lapseConflictHandling` properties of the configuration item <ApiLink name="DelinquencyPlanRef" /> as `deprecated`. These will be removed in an upcoming release.

February 21, 2024 [#february-21-2024]

* Changed the name of the `CreditResponse` entity to <ApiLink name="PaymentResponse" />
* Added the <ApiLink name="fetchTableRecord" /> endpoint
* Added the <ApiLink name="PaymentRef">payments</ApiLink> and <ApiLink name="DisbursementRef">disbursements</ApiLink> properties to <ApiLink name="ConfigurationRef" />

February 8, 2024 [#february-8-2024]

Changed Endpoints [#changed-endpoints]

* <ApiLink name="addElementsToQuote" /> has changed the type of its `elements`
  property to
  <ApiLink name="ElementCreateRequest">ElementCreateRequest\[]</ApiLink>
* <ApiLink name="updateAccountReplaceData" /> has changed its request type to
  <ApiLink name="AccountUpdateReplaceDataRequest" />
* <ApiLink name="updateUser" /> has changed its request type to
  <ApiLink name="UserUpdateRequest" />

Changed Entities [#changed-entities]

* <ApiLink name="QuoteCreateRequest" /> has changed the type of its `elements`
  property to
  <ApiLink name="ElementCreateRequest">ElementCreateRequest\[]</ApiLink>

February 6, 2024 [#february-6-2024]

Added Endpoints [#added-endpoints]

* `fetchInvoiceJobDataForQuotes`
* `fetchInvoiceJobDataForPolicies`

Removed Endpoints [#removed-endpoints]

* `issueNextInvoiceForAccount`
* `fetchLedgerAccountLineItems`

Added Entities [#added-entities]

* `InvoiceGenerationJob`

Changed Entities [#changed-entities-1]

* <ApiLink name="PaymentResponse" /> has new property `currency`

* <ApiLink name="InstallmentItem" /> has property `staticElementLocator` renamed
  to `staticElementLocator`

* <ApiLink name="InvoiceItemResponse" /> has the types of properties
  `chargeCategory` and `chargeType` both changed to `string`

* <ApiLink name="Installment" /> has these properties renamed:

* `generateDate` => `generateTime`

* `dueDate` => `dueTime`

* `installmentStartDate` => `installmentStartTime`

* `installmentEndDate` => `installmentEndTime`

* <ApiLink name="InstallmentLatticeFrame" /> has these properties renamed:

* `generationDate` => `generateTime`

* `dueDate` => `dueTime`

* `installmentStart` => `installmentStartTime`

* `installmentEnd` => `installmentEndTime`

* `coverageStart` => `coverageStartTime`

* `coverageEnd` => `coverageEndTime`

* <ApiLink name="ConfigurationRef" /> has removed property `defaults`
